/********************************* (C) РОТЕК ***********************************
 * @module  init_task
 * @file    init_task.c
 * @version 1.0.0
 * @date    XX.XX.XXXX
 * $brief   Инициализация всех задач.
 *******************************************************************************
 * @history     Version  Author         Comment
 * XX.XX.XXXX   1.0.0    Telenkov D.A.  First release.
 *******************************************************************************
 */
  
#include "init_task.h"
#include "common_config.h"  
#include "hw_init.h"
#include "netconf.h"
#include "main.h"
#include "wdg.h"
#include "usart.h"
//#include "led.h"
//#include "buttons.h"
#include "settings_api.h"
#include "rtc.h"

#include "FreeRTOS.h"
#include "task.h" 

#ifdef PRINTF_STDLIB
#include <stdio.h>
#endif
#ifdef PRINTF_CUSTOM
#include "tinystdio.h"
#endif

static void vTaskDebug(void *pvParameters);

/**
  * @brief  Разовая синхронизация времени при старте контроллера
  */
TaskHandle_t xHandleSntpOnceSinhro = NULL;

/**
  * @brief  Задача инициализации. Запускает основные задачи девайса и умирает.
  * @retval 
  */
void InitTask( void *params)
{
    BT_6702_Init();
    
    SETTINGS_ResetBootTry();

    vTaskDelete(NULL);
    taskYIELD();
    
}




static void vTaskDebug(void *pvParameters) 
{
  char msg[700];
  for(;;)
  {
    vTaskList(msg);
	printf(msg);
	printf("\n\r");
	
	vTaskDelay(1000);
  }
}




/********************************* (C) РОТЕК **********************************/
